Skip to navigation

Upsert Onboarding Status

View as Markdown
Partner Restricted

The Partner Onboarding API is only available to approved partners who have signed a Paylocity Technology Partnership Agreement. If you are not yet a partner and are interested in exploring partnership opportunities, please contact us at Techpartnerships@paylocity.com

Summary Description

The new Partner Onboarding API is designed to enable our partners to onboard customers through our Paylocity Marketplace-initiated workflow. Approved partners will utilize the API to provision a client onto a specific integration. This API provides an endpoint that allows partners to upsert the status of the integration, using the Paylocity companyId specified in the request body. Partners can update the companyOnboardingStatus to one of four options: InProgress, Approved, Rejected or Suspended. If approved the partner will be able to sync the requested client data through the API.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Request

Request payload for this operation. See the official endpoint documentation for required fields and allowable values.

Response

Successful response

Errors

401
Unauthorized Error